Bug 1029379 - [abrt] system-config-printer-1.4.2-1.fc19: gettext.py:406:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 62: ordinal not in range(128)
[abrt] system-config-printer-1.4.2-1.fc19: gettext.py:406:ugettext:UnicodeDec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:953595d6a8ed84c53be4810d8b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 05:11 EST by Christoph Wickert
Modified: 2014-03-30 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-30 02:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2013-11-12 05:12 EST, Christoph Wickert
no flags Details
File: dso_list (78 bytes, text/plain)
2013-11-12 05:12 EST, Christoph Wickert
no flags Details

  None (edit)
Description Christoph Wickert 2013-11-12 05:11:46 EST
Description of problem:
Doupleclicked on a network printer that is not available in this network.

Version-Release number of selected component:
system-config-printer-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
gettext.py:406:ugettext:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 62: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 509, in dests_iconview_item_activated
    parent=self.PrintersWindow)
  File "/usr/share/system-config-printer/printerproperties.py", line 578, in show
    self.load (name, host=host, encryption=encryption, parent=parent)
  File "/usr/share/system-config-printer/printerproperties.py", line 1318, in load
    self.ppd = printer.getPPD()
  File "/usr/lib/python2.7/site-packages/cupshelpers/cupshelpers.py", line 204, in getPPD
    self._ppd = self.connection.getPPD(self.name)
  File "/usr/share/system-config-printer/authconn.py", line 222, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 263, in _authloop
    self._ask_retry_server_error (m)
  File "/usr/share/system-config-printer/authconn.py", line 305, in _ask_retry_server_error
    "CUPS operation: '%s'." % message))
  File "/usr/lib64/python2.7/gettext.py", line 406, in ugettext
    return unicode(message)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 62: ordinal not in range(128)

Local variables in innermost frame:
message: "There was an error during the CUPS operation: 'Die Wartezeit f\xc3\xbcr die Verbindung ist abgelaufen'."
tmsg: <object object at 0x7ffb333bf250>
self: <gettext.GNUTranslations instance at 0x271fab8>
missing: <object object at 0x7ffb333bf250>
Comment 1 Christoph Wickert 2013-11-12 05:12:00 EST
Created attachment 822808 [details]
File: backtrace
Comment 2 Christoph Wickert 2013-11-12 05:12:04 EST
Created attachment 822809 [details]
File: dso_list
Comment 4 Fedora Update System 2014-03-17 05:10:42 EDT
system-config-printer-1.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.4-1.fc20
Comment 5 Fedora Update System 2014-03-18 04:14:47 EDT
Package system-config-printer-1.4.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4014/system-config-printer-1.4.4-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-03-30 02:03:15 EDT
system-config-printer-1.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.